Package org.springframework.security.config.authentication

# Class PasswordEncoderParser

java.lang.Object
org.springframework.security.config.authentication.PasswordEncoderParser

public class PasswordEncoderParser extends Object
Stateful parser for the <password-encoder> element.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ATT_HASH`

## Constructor Summary

Constructors
Constructor
Description
`PasswordEncoderParser(Element element, org.springframework.beans.factory.xml.ParserContext parserContext)`

## Method Summary

Modifier and Type
Method
Description
`static org.springframework.beans.factory.config.BeanDefinition`
`createPasswordEncoderBeanDefinition(String hash)`
`org.springframework.beans.BeanMetadataElement`
`getPasswordEncoder()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ATT_HASH

public static final String ATT_HASH

See Also:
  - Constant Field Values

## Constructor Details

### PasswordEncoderParser

public PasswordEncoderParser(Element element, org.springframework.beans.factory.xml.ParserContext parserContext)

## Method Details

### createPasswordEncoderBeanDefinition

public static org.springframework.beans.factory.config.BeanDefinition createPasswordEncoderBeanDefinition(String hash)

### getPasswordEncoder

public org.springframework.beans.BeanMetadataElement getPasswordEncoder()